<?php

return array(

0 => array('filename' => 'form4', 'user' => 'Стоп-кран', 'text' => 'Под конструктором обычно понимают систему вопросов, отвечая на которые, пользователь получает какой-то фрагмент кода. Здесь мы говорим о другом конструкторе, в котором один модуль программы задаёт вопросы другому модулю.

Начнём с того, что конструктор форм, как и конструктор сайтов, есть вещь принципиально невозможная. Как, впрочем, и любой конструктор вообще. Конструктор – выражение фигуральное, метафорическое. В приложении к веб-разработке оно означает примерно следующее:  
1) кто-то очень-очень умный соз...', 'title' => 'Конструктор HTML форм'),
1 => array('filename' => 'propis', 'user' => 'Стоп-кран', 'text' => 'Вы думаете, что 2011 - 2010 = 1? Попробуйте произвести эту операцию в PHP - получите 1970! Если получить интервал времени в секундах - простая арифметика, то получить правильный интервал дат (2011 - 2010 = &#34;1 год, 0 месяцев, 1 день&#34;) - достаточно нетривиальная задача

Эта тема беспокоит меня давно, с тех пор, как в нашей газете научились отправлять электронные счета электронной почтой. В счёте ведь надо было как-то превращать цифры с слова (типа «Два миллиона сто десять тысяч рублей»). Вот и нашёл я в сети, недолго думая, небольшой скриптик – ...', 'title' => 'Числа прописью с рублями, минутами и метрами'),
2 => array('filename' => 'calendar', 'user' => 'Геннадий Иванович', 'text' => 'Зачем нужны datepicker&#39;ы? Ясно, что нормальному пользователю не влом набрать дату цифрами с клавиатуры. Но заказчики сайтов требуют для будущих посетителей всё больше и больше &#34;удобств&#34;. Вот и появляются на свет всякие инструменты для тыканья мышкой...

В сети полно чудовищных скриптов для наглядного выбора даты с помощью указателя мыши. Эти скрипты не могут быть не чудовищными по определению, так как созданы для позорной задачи: облегчить жизнь пользователям, не желающим набирать даты цифрами, с клавиатуры. Ну, и программистам, в общем, тоже –...', 'title' => 'Календарь javascript (datepicker)'),
3 => array('filename' => 'quiproquo', 'user' => 'Геннадий Иванович', 'text' => 'Принципиальная схема маленького (16 K), но вёрткого php-фреймворка, не ставящего во главу угла mvc с ООП, но претендующего на самый высокий в мире уровень автоматизации веб-приложений.

«Friends» - рабочее название  маленького PHP-фреймворка  (16 K кода, вместе с CSS, но пока без javascript), находящегося в сомнительных отношениях с mvc, но бодро работающего.   
В  предыдущей статье  мы на...', 'title' => 'Что из чего следует в PHP-фреймворке «Friends»'),
4 => array('filename' => 'php_framework', 'user' => 'Геннадий Иванович', 'text' => 'Кто сказал, что в Модели должны быть какие-то классы и функции? Модель – это простая табличка, список. Точнее, две таблички: список моделируемых Сущностей реального мира и расширенное описание структуры Данных

С самого начала изучения MVC мне не понравилось слово «модель». И не зря. На громадном количестве сайтов это понятие действительно не применимо. Там есть Данные, есть какое-никакое их Отображение. Вынуждено быть что-то вроде Контроллера (а то как бы пользователи попадали с одой страницы на другую...', 'title' => 'PHP фреймворк, анти-MVC, без ООП'),
5 => array('filename' => 'setcookie', 'user' => 'Геннадий Иванович', 'text' => 'Время жизни куки обычно удобнее указывать в днях, а не в виде конечной даты. А все параметры, кроме имени и значения, передавать в виде объекта, который можно предварительно сохранить со всеми необходимыми для текущего проекта значениями

Сравнение двух интересных библиотек ( http://microbasejs.ru/ ,  http://github.com/Kolyaj/CrossJS ) привело меня к озарению и созданию совершенно особой, доселе невиданной функции по установке куки (с помощью javscript...', 'title' => 'Идеальная функция setCookie'),
6 => array('filename' => 'tabsort004', 'user' => 'Геннадий Иванович', 'text' => 'Simple Table Sorter порождает всё больше вопросов пользователей: что будет, если вместо Alt нажать Shift, или если хочется, чтобы некоторые столбцы были отсортированы сразу при открытии... Настало время для организации визуальных настроек.

Очень сложная оказалась задача – дать пользователю возможность настраивать колонки таблицы не по  Ctrl+click , а наглядно, как в оконных приложениях, выбором с помощью мышки. Весь моск вывернула наизнанку. И даже глюки «гнусного ИЕ» тут ни при чём, до них пока дело не дошло (может, в ИЕ...', 'title' => 'Отображение настроек для javascript сортировки'),
7 => array('filename' => 'mvc_base', 'user' => 'Геннадий Иванович', 'text' => 'Есть данные для хранения, данные для отображения, и есть код. Почему под словами Модель или Вью в mvc понимают фрагменты кода? Тут какая-то путаница.

MVC – Модель, Контроллер, Вью (Представление). Вместо мутного «Модель» используем «Данные». И попытаемся определить откуда у всего этого ноги растут.  
Данные – это что-то, что хранится в компьютере; Представление – то, что получается из данных при выводе на экран; Контроллер – ? – ну, по-в...', 'title' => 'Что такое Контроллер mvc в вебе?'),
8 => array('filename' => 'sorters_compare', 'user' => 'Стоп-кран', 'text' => 'В Интернете существуют десятки скриптов для сортировки HTML таблиц. Большинство из них из года в год повторяют одни и те же ошибки в алгоритмах и в интерфейсе. Возможно, из-за этих постоянных ошибок пользователи до сих пор недооценивают удобство работы с данными на стороне клиента.

 Всякое сравнение хромает в пользу того, кто сравнивает.   
Попробуйте поискать в сети страницы по фразам «Сортировка HTML таблиц», «javascript сортировка», «table sorter»... Можно найти немало решений, но после первого же беглого анализа их удаётся свести к 5-7 более-менее внятным п...', 'title' => 'javascript сортировщики, сравнение алгоритмов'),
9 => array('filename' => 'unobtrusive_counter', 'user' => 'дядя Миша', 'text' => 'Не секрет, что счётчики посещений, информеры валюты и прочие бегуны могут сильно тормозить открытие страницы. Несложно отложить загрузку простого счётчика-картинки (без использования javascrsipt). Здесь мы покажем, как отсрочить загрузку более сложных счётчиков.

Лет 5-6 назад среди веб-разработчиков распространилась мода на «unobtrusive javascript» – «ненавязчивый» javascript, который внедряется в тело HTML страницы только в виде ссылок на файлы js (а не в виде непосредственно кода). Мода эта, однако, почему-то не коснулась счётчиков, информеров и разных...', 'title' => 'unobtrusive top.mail.ru'),
10 => array('filename' => 'tabsort003', 'user' => 'дядя Миша', 'text' => 'Как раскрасить HTML таблицу, если надо отмечать разными цветами столбцы (в порядке сортировки) и строки (в зависимости от значений ячеек)? Как обеспечить сортировку и чисел, и строк без явного указания типов? Ответы - в Simple Table Sorter v 0.03.
 Simple Table Sorter v 0.03  
Первый  Простой сортировщик HTML таблиц  (версия 0), упоминаемый на этом сайте, был придуман далеко не первым по времени, а примерно через год работы над концепцией. Была уверенность, что его невозможно улу...', 'title' => 'Простой сортировщик HTML таблиц, версия 0.03'),
11 => array('filename' => 'tabsort1_01', 'user' => 'дядя Миша', 'text' => 'Javascript в исполнении всех браузеров, кроме Firefox, не умеет корректно сортировать массивы из одинаковых значений . Точнее, все браузеры, кроме ФФ, зачем-то сортируют то, что сортировать не надо. Эта проблема всплыла при попытке раскрашивать строки таблицы в зависимости от их содержания.

Это следующая версия скрипта Big Table Sorter – 1.01.   
Почти год назад в статье  http://ir2.ru/tabsort1.aspx  мы сформулировали концепцию полнофункционального сортировщика HTML таблиц. Казалось, что на следующем этапе развития его можно было бы уси...', 'title' => 'Подсветка строк, столбцов и значений в HTML таблице'),
12 => array('filename' => 'ideal_framework2', 'user' => 'дядя Миша', 'text' => 'Правильный веб-фреймворк - это рельсы, по которым общие элементы сайтов отправляются в отдельную библиотеку. А ещё это набор принципов и правил. И главным принципом является принцип подбрасывание монетки для выбора решения в особо сложных случаях.

Хороший PHP фреймворк – это не готовый набор функций, а процесс. Вернее, так: фреймворк – это срез, застывшее в определённый момент состояние  процесса упорядочивания  функций (функций – в широком смысле, включая классы, интерфейсы и прочую дребедень). Всё, что может быть использовано в ка...', 'title' => 'Идеальный фреймворк (продолжение)'),

);