<?php

error_reporting(E_ALL);
setlocale(LC_ALL, 'ru_RU.cp1251', 'ru_RU');
date_default_timezone_set('Asia/Yakutsk');

define('CR', "\n");
define('SITE', str_replace('\\', '/', dirname(__FILE__)));
define('LIB', SITE . '/../i1.sys');
define ('H_404', 'HTTP/1.x 404 Not Found');

function __autoload($class) 
{
	$file = LIB . '/' . $class . '.php';
	if (file_exists($file)) require_once $file;
}

function e($x) 
{
	$in = array('"', "'", '<');
	$out = array('&#34;', "&#39;", '&lt;');
	return str_replace($in, $out, $x);
}

function get_php($f)
{
	$file = LIB . '/' . $f;
	return (file_exists($file)) ? include $file : null;
}

class Controller 
{
	static $subj = null;
	
	function go() 
	{
	
		if (preg_match("/\.php$/", Def::$env['uri'])) {
			exit(View::code());
		}
		$subj = explode('?', Def::$env['uri']);
		$subj = $subj[0];
		$subj = explode('/', $subj);
		$subj = array_pop($subj);
		if (!$subj) $subj = Def::$def_subj;
		self::$subj = $subj;
	}
	
}
Def::init();
Controller::go();
View::page(Controller::$subj);
#print phpinfo();